#!/bin/sh
#
# Siina's bootleg screenshot capturer for use with global keybinds
#
# Requires:
# - maim: takes the screenshot
# - mpv: plays audio file upon completion
# - boop.sh: uploads screenshot to boop.icu
# 
# Example global keybinds:
#
# TYPE			CMD		KEYBIND
#
# Fullscreen		scrot.sh	Print
# Main monitor		scrot.sh --main	Meta+Ctrl+Print
# Active window/Selct	scrot.sh -s	Meta+Print
#
# TODO: Autodetect mpv and boop.sh to make them optional
# TODO: Figure out how to capture a specific monitor, not just main

screendir="$HOME/Screenshots/"
sound="$HOME/Projects/local-bin/sounds/shutter.ogg"
filename="$(date +'%Y%m%d_%H%M%S').png"
resolution="1920x1080"
args="-m 9 -u"

cd $screendir

if [[ ${1} == "--main" ]]; then
	args="${args} -g 1920x1080+0+0"
else
	args="${args} ${1}"
fi

maim -B $args $filename > /dev/null 2>&1 || echo "please install maim"

mpv $sound
$HOME/.local/bin/boop.sh "$screendir$filename"

